<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [api](./iceshrimp-js.api.md) &gt; [isAPIError](./iceshrimp-js.api.isapierror.md)

## api.isAPIError() function

**Signature:**

```typescript
export declare function isAPIError(reason: any): reason is APIError;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  reason | any |  |

**Returns:**

reason is [APIError](./iceshrimp-js.api.apierror.md)

